<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css">
<link rel="start" href="../../../../overview-summary.html">

<title>tests/cases/data/testcase-lastline.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../../overview-files.html">Files</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../todo-list.html">Todo</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../../index.html" target="_top">Frames</a>
<a href="../../../../source/tests/cases/data/testcase-lastline.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/data/testcase-lastline.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>    
<a name="line3"></a>    /**
<a name="line4"></a>     * class LastLine
<a name="line5"></a>     *
<a name="line6"></a>     * @package PHPDoctor\Tests
<a name="line7"></a>     */
<a name="line8"></a>    class LastLine {
<a name="line9"></a>        
<a name="line10"></a>        /**
<a name="line11"></a>         * Tag in last line, with description
<a name="line12"></a>         * 
<a name="line13"></a>         * @return int    a return tag on the last line
<a name="line14"></a>         */
<a name="line15"></a>        public function lastLineTagWithDescription () {
<a name="line16"></a>            
<a name="line17"></a>            $foo = 1;
<a name="line18"></a>            return $foo;
<a name="line19"></a>            
<a name="line20"></a>        }
<a name="line21"></a>        
<a name="line22"></a>        /**
<a name="line23"></a>         * Tag in last line, without description
<a name="line24"></a>         * 
<a name="line25"></a>         * @return int
<a name="line26"></a>         */
<a name="line27"></a>        public function lastLineTagWithoutDescription () {
<a name="line28"></a>            
<a name="line29"></a>            $foo = 1;
<a name="line30"></a>            return $foo;
<a name="line31"></a>            
<a name="line32"></a>        }
<a name="line33"></a>        
<a name="line34"></a>        /**
<a name="line35"></a>         * Last line empty, tag with description
<a name="line36"></a>         * 
<a name="line37"></a>         * @return int    a return tag followed by an empty line
<a name="line38"></a>         * 
<a name="line39"></a>         */
<a name="line40"></a>        public function lastLineEmptyWithDescription () {
<a name="line41"></a>            
<a name="line42"></a>            $foo = 1;
<a name="line43"></a>            return $foo;
<a name="line44"></a>            
<a name="line45"></a>        }
<a name="line46"></a>        
<a name="line47"></a>        /**
<a name="line48"></a>         * Last line empty, tag without description
<a name="line49"></a>         * 
<a name="line50"></a>         * @return bool
<a name="line51"></a>         * 
<a name="line52"></a>         */
<a name="line53"></a>        public function lastLineEmptyWithoutDescription () {
<a name="line54"></a>            
<a name="line55"></a>            $foo = true;
<a name="line56"></a>            return $foo;
<a name="line57"></a>            
<a name="line58"></a>        }
<a name="line59"></a>        
<a name="line60"></a>        /**
<a name="line61"></a>         * Last two lines empty, tag with description
<a name="line62"></a>         * 
<a name="line63"></a>         * @return int  a return tag followed by two empty lines
<a name="line64"></a>         * 
<a name="line65"></a>         * 
<a name="line66"></a>         */
<a name="line67"></a>        public function lastTwoLinesEmptyWithDescription () {
<a name="line68"></a>            
<a name="line69"></a>            $foo = 1;
<a name="line70"></a>            return $foo;
<a name="line71"></a>            
<a name="line72"></a>        }
<a name="line73"></a>        
<a name="line74"></a>        /**
<a name="line75"></a>         * Last two lines empty, tag without description
<a name="line76"></a>         * 
<a name="line77"></a>         * @return array
<a name="line78"></a>         * 
<a name="line79"></a>         * 
<a name="line80"></a>         */
<a name="line81"></a>        public function lastTwoLinesEmptyWithoutDescription () {
<a name="line82"></a>            
<a name="line83"></a>            $foo = array();
<a name="line84"></a>            return $foo;
<a name="line85"></a>            
<a name="line86"></a>        }
<a name="line87"></a>        
<a name="line88"></a>    }
<a name="line89"></a>    
<a name="line90"></a>?></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../../overview-files.html">Files</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../todo-list.html">Todo</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../../index.html" target="_top">Frames</a>
<a href="../../../../source/tests/cases/data/testcase-lastline.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>